Extending Qt Creator Manual | SelectableFilesModel

Extending Qt Creator Manual 4.3.0

# SelectableFilesModel Class

(ProjectExplorer::SelectableFilesModel)

- List of all members, including inherited members

## Public Functions

| SelectableFilesModel(QObject *parent)
void | applyFilter(const QString &selectFilesfilter, const QString &hideFilesfilter)
void | cancel()
bool | hasCheckedFiles() const
Utils::FileNameList | preservedFiles() const
void | selectAllFiles()
Utils::FileNameList | selectedFiles() const
Utils::FileNameList | selectedPaths() const
void | setInitialMarkedFiles(const Utils::FileNameList &files)
void | startParsing(const Utils::FileName &baseDir)

## Signals

void | checkedFilesChanged()
void | parsingFinished()
void | parsingProgress(const Utils::FileName &fileName)

## Member Function Documentation

### SelectableFilesModel::SelectableFilesModel(QObject *parent)

Default constructs an instance of SelectableFilesModel.

### void SelectableFilesModel::applyFilter(const QString &selectFilesfilter, const QString &hideFilesfilter)

### void SelectableFilesModel::cancel()

### `[signal]` void SelectableFilesModel::checkedFilesChanged()

### bool SelectableFilesModel::hasCheckedFiles() const

### `[signal]` void SelectableFilesModel::parsingFinished()

### `[signal]` void SelectableFilesModel::parsingProgress(const Utils::FileName &fileName)

### Utils::FileNameList SelectableFilesModel::preservedFiles() const

### void SelectableFilesModel::selectAllFiles()

### Utils::FileNameList SelectableFilesModel::selectedFiles() const

### Utils::FileNameList SelectableFilesModel::selectedPaths() const

### void SelectableFilesModel::setInitialMarkedFiles(const Utils::FileNameList &files)

### void SelectableFilesModel::startParsing(const Utils::FileName &baseDir)